Bug 1734697 - Correct lang property of fontconfig in Noto Sans CJK fonts
Summary: Correct lang property of fontconfig in Noto Sans CJK fonts
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: google-noto-cjk-fonts
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peng Wu
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-31 08:49 UTC by Peng Wu
Modified: 2020-11-24 20:22 UTC (History)
4 users (show)

Fixed In Version: google-noto-cjk-fonts-20190416-5.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-24 20:22:11 UTC
Type: Bug


Attachments (Terms of Use)

Description Peng Wu 2019-07-31 08:49:14 UTC
There are some problem about the lang coverage in Noto Sans CJK fonts.
All Noto Sans CJK fonts support Chinese, Japanese and Korean language glyph coverage.

We will correct the lang property of fontconfig in separate fontconfig files.
The file content will like below:

<match target="scan">
  <test name="family">
  <string>Noto Sans CJK SC</string>
  </test>
  <edit name="lang" mode="assign">
    <minus>
      <name>lang</name>
      <langset>
        <string>ja</string>
        <string>ko</string>
        <string>zh-tw</string>
        <string>zh-hk</string>
      </langset>
    </minus>
  </edit>
</match>

Comment 1 Akira TAGOH 2019-08-06 09:04:39 UTC
Well, this isn't enough. see https://tagoh.fedorapeople.org/fonts/status/31-190806.html and https://tagoh.fedorapeople.org/fonts/diff/30-31-190806.html

There are three things:

* Missing for Noto CJK Sans HK

* How come did you not drop zh-hk from TC? even though Noto CJK Sans HK is there.

* You need to do something for zh-mo as well

Comment 2 Peng Wu 2019-08-13 08:23:41 UTC
Okay, just updated the package.

Please review the changes, thanks!

Comment 3 Ben Cotton 2019-08-13 16:51:42 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 4 Ben Cotton 2019-08-13 17:03:38 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 5 Ben Cotton 2020-11-03 15:21:43 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Ben Cotton 2020-11-24 20:22:11 UTC
Fedora 31 changed to end-of-life (EOL) status on 2020-11-24. Fedora 31 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.